"use strict";

import {expect} from "chai"
import {BaseWithOptions} from "../../../source/types/basewithoptions.mjs";


describe('BaseWithOptions', function () {

    describe('new BaseWithOptions', function () {

        it('is instance of BaseWithOptions', function () {
            expect(new BaseWithOptions).to.be.instanceOf(BaseWithOptions);
        });

        it('is instance of Object', function () {
            expect(new BaseWithOptions).to.be.instanceOf(Object);
        });

        it('get option is true', function () {
            expect(new BaseWithOptions({a: true}).getOption('a')).to.be.true;
        });

    })

})